OpenJPEG: opj_tcp Struct Reference

OpenJPEG 2.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
opj_tcp Struct Reference
J2K - JPEG-2000 codestream reader/writer

Tile coding parameters : this structure is used to store coding/decoding parameters common to all tiles (information like COD, COC in main header) More...

`#include <j2k.h>`

## Data Fields
OPJ_UINT32 | csty
| coding style More...
OPJ_PROG_ORDER | prg
| progression order More...
OPJ_UINT32 | numlayers
| number of layers More...
OPJ_UINT32 | num_layers_to_decode
OPJ_UINT32 | mct
| multi-component transform identifier More...
OPJ_FLOAT32 | rates [100]
| rates of layers More...
OPJ_UINT32 | numpocs
| number of progression order changes More...
opj_poc_t | pocs [32]
| progression order changes More...
OPJ_UINT32 | ppt_markers_count
| number of ppt markers (reserved size) More...
opj_ppx * | ppt_markers
| ppt markers data (table indexed by Zppt) More...
OPJ_BYTE * | ppt_data
| packet header store there for future use in t2_decode_packet More...
OPJ_BYTE * | ppt_buffer
| used to keep a track of the allocated memory More...
OPJ_UINT32 | ppt_data_size
| Number of bytes stored inside ppt_data. More...
OPJ_UINT32 | ppt_len
| size of ppt_data More...
OPJ_FLOAT32 | distoratio [100]
| add fixed_quality More...
opj_tccp_t * | tccps
| tile-component coding parameters More...
OPJ_UINT32 | m_nb_tile_parts
| number of tile parts for the tile. More...
OPJ_BYTE * | m_data
| data for the tile More...
OPJ_UINT32 | m_data_size
| size of data More...
OPJ_FLOAT64 * | mct_norms
| encoding norms More...
OPJ_FLOAT32 * | m_mct_decoding_matrix
| the mct decoding matrix More...
OPJ_FLOAT32 * | m_mct_coding_matrix
| the mct coding matrix More...
opj_mct_data_t * | m_mct_records
| mct records More...
OPJ_UINT32 | m_nb_mct_records
| the number of mct records. More...
OPJ_UINT32 | m_nb_max_mct_records
| the max number of mct records. More...
opj_simple_mcc_decorrelation_data_t * | m_mcc_records
| mcc records More...
OPJ_UINT32 | m_nb_mcc_records
| the number of mct records. More...
OPJ_UINT32 | m_nb_max_mcc_records
| the max number of mct records. More...
OPJ_UINT32 | cod: 1
| If cod == 1 –> there was a COD marker for the present tile. More...
OPJ_UINT32 | ppt: 1
| If ppt == 1 –> there was a PPT marker for the present tile. More...
OPJ_UINT32 | POC: 1
| indicates if a POC marker has been used O:NO, 1:YES More...

## Detailed Description

Tile coding parameters : this structure is used to store coding/decoding parameters common to all tiles (information like COD, COC in main header)

## Field Documentation

OPJ_UINT32 opj_tcp::cod

If cod == 1 –> there was a COD marker for the present tile.

Referenced by opj_j2k_copy_default_tcp_and_create_tcd(), and opj_j2k_read_cod().

OPJ_UINT32 opj_tcp::csty

coding style

Referenced by j2k_get_cstr_info(), opj_j2k_dump_tile_info(), opj_j2k_read_cod(), opj_j2k_setup_encoder(), opj_j2k_write_cod(), opj_t2_encode_packet(), and opj_t2_read_packet_header().

OPJ_FLOAT32 opj_tcp::distoratio[100]

add fixed_quality

Referenced by opj_j2k_setup_encoder(), and opj_tcd_rateallocate().

OPJ_BYTE* opj_tcp::m_data

data for the tile

Referenced by opj_j2k_decode_tile(), opj_j2k_read_sod(), opj_j2k_read_tile_header(), opj_j2k_tcp_data_destroy(), and opj_j2k_update_rates().

OPJ_UINT32 opj_tcp::m_data_size

size of data

Referenced by opj_j2k_decode_tile(), opj_j2k_read_sod(), opj_j2k_tcp_data_destroy(), and opj_j2k_update_rates().

opj_simple_mcc_decorrelation_data_t* opj_tcp::m_mcc_records

mcc records

Referenced by opj_j2k_add_mct(), opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_read_mcc(), opj_j2k_read_siz(), opj_j2k_setup_mct_encoding(), opj_j2k_tcp_destroy(), opj_j2k_write_mco(), and opj_j2k_write_mct_data_group().

OPJ_FLOAT32* opj_tcp::m_mct_coding_matrix

the mct coding matrix

Referenced by opj_j2k_mct_validation(), opj_j2k_setup_encoder(), opj_j2k_tcp_destroy(), and opj_tcd_mct_encode().

OPJ_FLOAT32* opj_tcp::m_mct_decoding_matrix

the mct decoding matrix

Referenced by opj_j2k_add_mct(), opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_read_mco(), opj_j2k_setup_encoder(), opj_j2k_setup_mct_encoding(), opj_j2k_tcp_destroy(), and opj_tcd_mct_decode().

opj_mct_data_t* opj_tcp::m_mct_records

mct records

Referenced by opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_read_mcc(), opj_j2k_read_mct(), opj_j2k_read_siz(), opj_j2k_setup_mct_encoding(), opj_j2k_tcp_destroy(), and opj_j2k_write_mct_data_group().

OPJ_UINT32 opj_tcp::m_nb_max_mcc_records

the max number of mct records.

Referenced by opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_read_mcc(), opj_j2k_read_siz(), opj_j2k_setup_mct_encoding(), and opj_j2k_tcp_destroy().

OPJ_UINT32 opj_tcp::m_nb_max_mct_records

the max number of mct records.

Referenced by opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_read_mct(), opj_j2k_read_siz(), and opj_j2k_setup_mct_encoding().

OPJ_UINT32 opj_tcp::m_nb_mcc_records

the number of mct records.

Referenced by opj_j2k_add_mct(), opj_j2k_read_mcc(), opj_j2k_setup_mct_encoding(), opj_j2k_tcp_destroy(), opj_j2k_write_mco(), and opj_j2k_write_mct_data_group().

OPJ_UINT32 opj_tcp::m_nb_mct_records

the number of mct records.

Referenced by opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_read_mcc(), opj_j2k_read_mct(), opj_j2k_setup_mct_encoding(), opj_j2k_tcp_destroy(), and opj_j2k_write_mct_data_group().

OPJ_UINT32 opj_tcp::m_nb_tile_parts

number of tile parts for the tile.

Referenced by opj_j2k_calculate_tp(), opj_j2k_get_max_toc_size(), opj_j2k_get_tp_stride(), opj_j2k_pre_write_tile(), opj_j2k_read_sot(), opj_j2k_read_tile_header(), and opj_j2k_write_sot().

OPJ_UINT32 opj_tcp::mct

multi-component transform identifier

Referenced by j2k_get_cstr_info(), opj_j2k_dump_tile_info(), opj_j2k_mct_validation(), opj_j2k_read_cod(), opj_j2k_setup_encoder(), opj_j2k_setup_mct_encoding(), opj_j2k_write_cod(), opj_tcd_mct_decode(), opj_tcd_mct_encode(), and opj_tcd_t1_encode().

OPJ_FLOAT64* opj_tcp::mct_norms

encoding norms

Referenced by opj_j2k_setup_encoder(), opj_j2k_tcp_destroy(), and opj_tcd_t1_encode().

OPJ_UINT32 opj_tcp::num_layers_to_decode

Referenced by opj_j2k_read_cod(), and opj_t2_decode_packets().

OPJ_UINT32 opj_tcp::numlayers

number of layers

Referenced by j2k_get_cstr_info(), opj_j2k_dump_tile_info(), opj_j2k_read_cod(), opj_j2k_read_poc(), opj_j2k_setup_encoder(), opj_j2k_update_rates(), opj_j2k_write_cod(), opj_j2k_write_poc_in_memory(), opj_pi_create_decode(), opj_pi_initialise_encode(), opj_pi_update_decode_not_poc(), opj_pi_update_encode_not_poc(), opj_tcd_makelayer_fixed(), opj_tcd_rateallocate(), opj_tcd_rateallocate_fixed(), and opj_tcd_t2_encode().

OPJ_UINT32 opj_tcp::numpocs

number of progression order changes

Referenced by opj_j2k_calculate_tp(), opj_j2k_get_max_poc_size(), opj_j2k_get_num_tp(), opj_j2k_read_poc(), opj_j2k_setup_encoder(), opj_j2k_write_all_tile_parts(), opj_j2k_write_first_tile_part(), opj_j2k_write_poc(), opj_j2k_write_poc_in_memory(), opj_pi_create(), opj_pi_create_decode(), opj_pi_initialise_encode(), opj_pi_update_decode_not_poc(), opj_pi_update_decode_poc(), opj_pi_update_encode_not_poc(), opj_pi_update_encode_poc_and_final(), opj_t2_decode_packets(), and opj_t2_encode_packets().

OPJ_UINT32 opj_tcp::POC

indicates if a POC marker has been used O:NO, 1:YES

Referenced by opj_j2k_read_poc(), opj_j2k_setup_encoder(), opj_pi_create_decode(), opj_pi_initialise_encode(), opj_pi_update_encoding_parameters(), and opj_t2_encode_packets().

opj_poc_t opj_tcp::pocs[32]

progression order changes

Referenced by opj_j2k_get_num_tp(), opj_j2k_read_poc(), opj_j2k_setup_encoder(), opj_j2k_write_poc_in_memory(), opj_pi_check_next_level(), opj_pi_create_encode(), opj_pi_update_decode_poc(), opj_pi_update_encode_not_poc(), and opj_pi_update_encode_poc_and_final().

OPJ_UINT32 opj_tcp::ppt

If ppt == 1 –> there was a PPT marker for the present tile.

Referenced by opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_merge_ppt(), opj_j2k_read_ppt(), and opj_t2_read_packet_header().

OPJ_BYTE* opj_tcp::ppt_buffer

used to keep a track of the allocated memory

Referenced by opj_j2k_merge_ppt(), and opj_j2k_tcp_destroy().

OPJ_BYTE* opj_tcp::ppt_data

packet header store there for future use in t2_decode_packet

Referenced by opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_merge_ppt(), and opj_t2_read_packet_header().

OPJ_UINT32 opj_tcp::ppt_data_size

Number of bytes stored inside ppt_data.

Referenced by opj_j2k_merge_ppt().

OPJ_UINT32 opj_tcp::ppt_len

size of ppt_data

Referenced by opj_j2k_merge_ppt(), and opj_t2_read_packet_header().

opj_ppx* opj_tcp::ppt_markers

ppt markers data (table indexed by Zppt)

Referenced by opj_j2k_merge_ppt(), opj_j2k_read_ppt(), and opj_j2k_tcp_destroy().

OPJ_UINT32 opj_tcp::ppt_markers_count

number of ppt markers (reserved size)

Referenced by opj_j2k_merge_ppt(), opj_j2k_read_ppt(), and opj_j2k_tcp_destroy().

OPJ_PROG_ORDER opj_tcp::prg

progression order

Referenced by j2k_get_cstr_info(), opj_j2k_dump_tile_info(), opj_j2k_get_num_tp(), opj_j2k_read_cod(), opj_j2k_setup_encoder(), opj_j2k_write_cod(), opj_pi_update_decode_not_poc(), and opj_pi_update_encode_not_poc().

OPJ_FLOAT32 opj_tcp::rates[100]

rates of layers

Referenced by opj_j2k_setup_encoder(), opj_j2k_update_rates(), and opj_tcd_rateallocate().

opj_tccp_t* opj_tcp::tccps

tile-component coding parameters

Referenced by j2k_get_cstr_info(), opj_get_all_encoding_parameters(), opj_get_encoding_parameters(), opj_j2k_add_mct(), opj_j2k_compare_coc(), opj_j2k_compare_SPCod_SPCoc(), opj_j2k_compare_SQcd_SQcc(), opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_copy_tile_component_parameters(), opj_j2k_copy_tile_quantization_parameters(), opj_j2k_dump_tile_info(), opj_j2k_encoding_validation(), opj_j2k_get_SPCod_SPCoc_size(), opj_j2k_get_SQcd_SQcc_size(), opj_j2k_mct_validation(), opj_j2k_read_coc(), opj_j2k_read_cod(), opj_j2k_read_mco(), opj_j2k_read_rgn(), opj_j2k_read_siz(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_read_SQcd_SQcc(), opj_j2k_set_decoded_resolution_factor(), opj_j2k_setup_encoder(), opj_j2k_setup_mct_encoding(), opj_j2k_tcp_destroy(), opj_j2k_write_coc_in_memory(), opj_j2k_write_poc_in_memory(), opj_j2k_write_regions(), opj_j2k_write_rgn(), opj_j2k_write_SPCod_SPCoc(), opj_j2k_write_SQcd_SQcc(), opj_pi_create(), opj_pi_create_decode(), opj_pi_initialise_encode(), opj_t1_encode_cblks(), opj_t2_read_packet_header(), opj_tcd_dc_level_shift_decode(), opj_tcd_dc_level_shift_encode(), opj_tcd_decode_tile(), opj_tcd_dwt_decode(), opj_tcd_dwt_encode(), opj_tcd_encode_tile(), opj_tcd_init_tile(), opj_tcd_mct_decode(), opj_tcd_mct_encode(), opj_tcd_t1_decode(), and opj_tcd_t1_encode().

The documentation for this struct was generated from the following file:

- j2k.h